Bug 1123621 - [abrt] fontforge: SplineSetJoin(): fontforge killed by SIGSEGV
Summary: [abrt] fontforge: SplineSetJoin(): fontforge killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3557124f8007ff14b6fb90cf97e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 10:35 UTC by Sergey Bostandzhyan
Modified: 2015-06-29 21:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:47:39 UTC


Attachments (Terms of Use)
File: backtrace (35.34 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: cgroup (181 bytes, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: core_backtrace (2.12 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: dso_list (7.03 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: environ (1.49 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: maps (39.38 KB, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: open_fds (191 bytes, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: proc_pid_status (968 bytes, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details
File: var_log_messages (431 bytes, text/plain)
2014-07-27 10:35 UTC, Sergey Bostandzhyan
no flags Details

Description Sergey Bostandzhyan 2014-07-27 10:35:25 UTC
Description of problem:
The "join" operation does crash fontforge for me;

Tried selecting a corner where which I assume consists of two unjoint points on the same coordinates, select "join" from the menu -> crash.

Select the whole glyph, select "join" from the menu -> crash.

Version-Release number of selected component:
fontforge-20120731b-10.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        fontforge
crash_function: SplineSetJoin
executable:     /usr/bin/fontforge
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 SplineSetJoin at splineutil2.c:3388
 #1 CVJoin at charview.c:6589
 #2 gmenu_mouse at gmenu.c:756
 #3 gmenu_eh at gmenu.c:1171
 #4 dispatchEvent at gxdraw.c:3869
 #5 GXDrawEventLoop at gxdraw.c:3968

Comment 1 Sergey Bostandzhyan 2014-07-27 10:35:29 UTC
Created attachment 921415 [details]
File: backtrace

Comment 2 Sergey Bostandzhyan 2014-07-27 10:35:31 UTC
Created attachment 921416 [details]
File: cgroup

Comment 3 Sergey Bostandzhyan 2014-07-27 10:35:32 UTC
Created attachment 921417 [details]
File: core_backtrace

Comment 4 Sergey Bostandzhyan 2014-07-27 10:35:33 UTC
Created attachment 921418 [details]
File: dso_list

Comment 5 Sergey Bostandzhyan 2014-07-27 10:35:34 UTC
Created attachment 921419 [details]
File: environ

Comment 6 Sergey Bostandzhyan 2014-07-27 10:35:36 UTC
Created attachment 921420 [details]
File: exploitable

Comment 7 Sergey Bostandzhyan 2014-07-27 10:35:37 UTC
Created attachment 921421 [details]
File: limits

Comment 8 Sergey Bostandzhyan 2014-07-27 10:35:39 UTC
Created attachment 921422 [details]
File: maps

Comment 9 Sergey Bostandzhyan 2014-07-27 10:35:40 UTC
Created attachment 921423 [details]
File: open_fds

Comment 10 Sergey Bostandzhyan 2014-07-27 10:35:41 UTC
Created attachment 921424 [details]
File: proc_pid_status

Comment 11 Sergey Bostandzhyan 2014-07-27 10:35:42 UTC
Created attachment 921425 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:29:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:47:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.